summaryrefslogtreecommitdiff
path: root/security/nss/automation/taskcluster/docker-clang-3.9/bin/checkout.sh
diff options
context:
space:
mode:
authorwolfbeast <mcwerewolf@gmail.com>2018-02-06 11:46:26 +0100
committerwolfbeast <mcwerewolf@gmail.com>2018-02-06 11:46:26 +0100
commit0d5461ff40eef2b711a720674f6b48f206df73e2 (patch)
treec6033924a0de9be1ab140596e305898c651bf57e /security/nss/automation/taskcluster/docker-clang-3.9/bin/checkout.sh
parentef71c3358c6ac8463740d07ba82a9f11f869da8a (diff)
downloaduxp-0d5461ff40eef2b711a720674f6b48f206df73e2.tar.gz
Update NSS to 3.32.1-RTM
Diffstat (limited to 'security/nss/automation/taskcluster/docker-clang-3.9/bin/checkout.sh')
-rw-r--r--security/nss/automation/taskcluster/docker-clang-3.9/bin/checkout.sh20
1 files changed, 20 insertions, 0 deletions
diff --git a/security/nss/automation/taskcluster/docker-clang-3.9/bin/checkout.sh b/security/nss/automation/taskcluster/docker-clang-3.9/bin/checkout.sh
new file mode 100644
index 0000000000..9167f6bda6
--- /dev/null
+++ b/security/nss/automation/taskcluster/docker-clang-3.9/bin/checkout.sh
@@ -0,0 +1,20 @@
+#!/usr/bin/env bash
+
+set -v -e -x
+
+if [ $(id -u) = 0 ]; then
+ # Drop privileges by re-running this script.
+ exec su worker $0
+fi
+
+# Default values for testing.
+REVISION=${NSS_HEAD_REVISION:-default}
+REPOSITORY=${NSS_HEAD_REPOSITORY:-https://hg.mozilla.org/projects/nss}
+
+# Clone NSS.
+for i in 0 2 5; do
+ sleep $i
+ hg clone -r $REVISION $REPOSITORY nss && exit 0
+ rm -rf nss
+done
+exit 1